# ライブラリー読込
import tkinter
import tkinter.messagebox as txtmsg
import serial
import time

RIG_COM  = 'COM6'  # USB接続したRIGのCOMポート番号
RIG_BAUD = 38400   # USB接続したRIGのRIGのボーレート

try:
    comport = serial.Serial('\\\\.\\'+RIG_COM, RIG_BAUD, timeout=None)
except Exception:
        if txtmsg.showerror('確認', RIG_COM + 'がありません. 接続先の\nCOMポートを確認してください.'):
            exit()

def power_on():
    for i in range(1):
        comport.write([0x50, 0x53, 0x31, 0x3b]) # ON
        time.sleep(0.01)
        comport.write([0x50, 0x53, 0x31, 0x3b]) # ON
        time.sleep(0.01)
    result = comport.read_all()
    print(result)

def power_off():
    comport.write([0x50, 0x53, 0x30, 0x3b]) # OFF
    time.sleep(0.01)
    result = comport.read_all()
    print(result)

# TKクラス作成
form = tkinter.Tk()
# 画面サイズ設定
form.geometry('300x200')
# 画面タイトル設定
form.title('FTDX10の電源オン／オフ')

# Canvasクラス作成
canvas = tkinter.Canvas(form,width=300,height=200)
# Canvasの描画
canvas.pack()

# Buttonクラス作成
on_button = tkinter.Button(form, text="FTDX10電源オン",command=power_on,fg='white',bg='red',font=("MSゴシック", "20", "bold"))
# Buttonの描画
on_button.place(x=0, y=0,width=300,height=100)

# Buttonクラス作成
off_button = tkinter.Button(form, text="FTDX10電源オフ",command=power_off,fg='white',bg='blue',font=("MSゴシック", "20", "bold"))
# Buttonの描画
off_button.place(x=0, y=100,width=300,height=100)

# 画面をそのまま表示
form.mainloop()
